<?php
/**
 * @package googlemapsForWP
 * @author webcat
*/
//#################################################################
// Stop direct call
//if(preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) { die('You are not allowed to call this page directly.'); }
//#################################################################
if (!class_exists('googlemapsForWPVisitor')) {
/**
 *
 * sets up all the links into wordpress and provides access to the output functions
 */
   class googlemapsForWPVisitor {
        protected $maps;
       function __construct() {
                googlemapsForWP::getFile('business', 'googlemapsForWPMaps.php');
                googlemapsForWP::getFile('business', 'googlemapsForWPMap.php');
            $this->maps=new googlemapsForWPMaps();
            add_action('wp_enqueue_scripts',array($this,'addScripts'));
            add_shortcode('getmap', array($this, 'getmap_func'));
       }
        function getmap_func2($args) {
            $this->getShortcode($args);
        }
       function displayMap($map,$div,$create=true){
           if(get_class($map)=='googlemapsForWPJSMap'){
               $script= $map->compileMap($div,$this->maps->getFlags($map->getId()));
               $img="<img class='map' src='".$map->getImage()."' alt='".$map->getParam('mapdescription')."' height=\"".$map->getParam('sizeheight')."\" width=\"".$map->getParam('sizewidth')."\" />";
               $script.="<noscript>".$img."</noscript>";
               echo $script;  
               }else{
                   $map->addFlags($this->maps->getFlags($map->getId()));
                   echo "<img class='map' src='".$map->getImage()."' alt='".$map->getParam('mapdescription')."' height=\"".$map->getParam('sizeheight')."\" width=\"".$map->getParam('sizewidth')."\" />";
               }
       }
       function getmap_func($atts, $content = null){
           extract(shortcode_atts(array("mapnumber" => 'mapnumber'), $atts));
           $map = $this->maps->getMap($atts['mapnumber']);
           $this->displayMap($map,'mapdisplay',true);
       }
       function addScripts(){
          wp_enqueue_script(array("sack"));
            wp_register_script( 'jquery1-6', googlemapsForWP::pluginURL()."js/jQuery1-6.js");
            wp_register_script( 'googlemapsForWP', googlemapsForWP::pluginURL()."js/googlemapsForWP.js");
            wp_enqueue_script('jQuery1-6', googlemapsForWP::pluginURL()."js/jQuery1-6.js", array('jQuery'), '1.6');
            wp_enqueue_script('googlemapsForWP', googlemapsForWP::pluginURL()."js/googlemapsForWP.js", array('jQuery1-6'), '1.0');
            wp_register_script( 'googlemapsAPI', googlemapsForWPJSMap::$HTTP);
            wp_enqueue_script('googlemapsAPI', googlemapsForWPJSMap::$HTTP);
            }
   }
}
?>